Bug 218573 - beagled hangs after a while, stops accepting clients
beagled hangs after a while, stops accepting clients
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 23:08 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.2.15.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 12:29:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-12-05 23:08:22 EST
Description of problem:
When clicking Preferences, evolution crashes.

== back trace ==
(gdb) bt
#0  0x00edd402 in __kernel_vsyscall ()
#1  0x0025eed8 in connect () from /lib/libpthread.so.0
#2  0x07370fc4 in beagle_util_daemon_is_running () at beagle-util.c:139
#3  0x00f4eb28 in _gtk_search_engine_beagle_new ()
    at gtksearchenginebeagle.c:407
#4  0x00f4e2d7 in _gtk_search_engine_new () at gtksearchengine.c:110
#5  0x00fded46 in gtk_file_chooser_default_constructor (type=171867800, 
    n_construct_properties=1, construct_params=0xa3ea380)
    at gtkfilechooserdefault.c:251
#6  0x00941b8b in IA__g_object_newv (object_type=171867800, n_parameters=1, 
    parameters=0xa3ea600) at gobject.c:937
#7  0x00942799 in IA__g_object_new_valist (object_type=171867800, 
    first_property_name=0x119cbd2 "file-system-backend", 
    var_args=0xbf86242c "") at gobject.c:1022
#8  0x009428a0 in IA__g_object_new (object_type=171867800, 
    first_property_name=0x119cbd2 "file-system-backend") at gobject.c:795
#9  0x00fd0808 in _gtk_file_chooser_default_new (file_system=0x0)
    at gtkfilechooserdefault.c:9372
#10 0x00fe301c in gtk_file_chooser_widget_constructor (type=171875504, 
    n_construct_properties=1, construct_params=0xa3e7e70)
    at gtkfilechooserwidget.c:103
#11 0x00941b8b in IA__g_object_newv (object_type=171875504, n_parameters=0, 
    parameters=0x0) at gobject.c:937
---Type <return> to continue, or q <return> to quit---
#12 0x009426ef in IA__g_object_new_valist (object_type=171875504, 
    first_property_name=0x0, var_args=0xbf862668 "�\233>\nt&\227")
    at gobject.c:981
#13 0x009428a0 in IA__g_object_new (object_type=171875504, 
    first_property_name=0x0) at gobject.c:795
#14 0x00fdf3bd in gtk_file_chooser_dialog_constructor (type=160539272, 
    n_construct_properties=3, construct_params=0xa3e9ba8)
    at gtkfilechooserdialog.c:374
#15 0x00941b8b in IA__g_object_newv (object_type=160539272, n_parameters=3, 
    parameters=0xa3e9a00) at gobject.c:937
#16 0x00942799 in IA__g_object_new_valist (object_type=160539272, 
    first_property_name=0x118f7bb "title", var_args=0xbf86289c "")
    at gobject.c:1022
#17 0x009428a0 in IA__g_object_new (object_type=160539272, 
    first_property_name=0x118f7bb "title") at gobject.c:795
#18 0x00fdeebe in gtk_file_chooser_dialog_new_valist (
    title=<value optimized out>, parent=0x0, 
    action=GTK_FILE_CHOOSER_ACTION_OPEN, backend=0x0, 
    first_button_text=0x118f893 "gtk-cancel", 
    varargs=0xbf862900 "����\211�\031\001����") at gtkfilechooserdialog.c:569
#19 0x00fdef6c in IA__gtk_file_chooser_dialog_new (title=0x0, parent=0x0, 
    action=GTK_FILE_CHOOSER_ACTION_OPEN, 
    first_button_text=0x118f893 "gtk-cancel") at gtkfilechooserdialog.c:614
---Type <return> to continue, or q <return> to quit---
#20 0x00fcfaa7 in gtk_file_chooser_button_constructor (type=160539504, 
    n_params=2, params=0x991a458) at gtkfilechooserbutton.c:638
#21 0x00941b8b in IA__g_object_newv (object_type=160539504, n_parameters=6, 
    parameters=0xa10caa0) at gobject.c:937
#22 0x00516ef5 in glade_standard_build_widget (xml=0xa3bbd68, 
    widget_type=160539504, info=0xa417550) at glade-xml.c:1651
#23 0x005180ff in glade_xml_build_widget (self=0xa3bbd68, info=0xa417550)
    at glade-xml.c:1855
#24 0x00518227 in glade_standard_build_children (self=0xa3bbd68, 
    parent=0xa3be9f8, info=0xa417040) at glade-xml.c:1748
#25 0x005176bb in glade_xml_set_common_params (self=0xa3bbd68, 
    widget=0xa3be9f8, info=0xa417040) at glade-xml.c:2072
#26 0x00517f5b in glade_xml_build_widget (self=0xa3bbd68, info=0xa417040)
    at glade-xml.c:1862
#27 0x00518227 in glade_standard_build_children (self=0xa3bbd68, 
    parent=0xa3e3248, info=0xa416c78) at glade-xml.c:1748
#28 0x005176bb in glade_xml_set_common_params (self=0xa3bbd68, 
    widget=0xa3e3248, info=0xa416c78) at glade-xml.c:2072
#29 0x00517f5b in glade_xml_build_widget (self=0xa3bbd68, info=0xa416c78)
    at glade-xml.c:1862
#30 0x0051838a in glade_xml_build_interface (self=0xa3bbd68, iface=0xa3f04d8, 
    root=0x167f92f "vbox_add_script_signature") at glade-xml.c:1171
#31 0x005184e6 in glade_xml_construct (self=0xa3bbd68, 
---Type <return> to continue, or q <return> to quit---
    fname=0xa3bae78 "/usr/share/evolution/2.10/glade/mail-config.glade", 
    root=0x167f92f "vbox_add_script_signature", domain=0x0) at glade-xml.c:191
#32 0x0051856b in glade_xml_new (
    fname=0xa3bae78 "/usr/share/evolution/2.10/glade/mail-config.glade", 
    root=0x167f92f "vbox_add_script_signature", domain=0x0) at glade-xml.c:154
#33 0x0160b32b in em_composer_prefs_new () at em-composer-prefs.c:876
#34 0x0164efbb in mail_config_control_factory_cb (factory=0xa168c00, 
    component_id=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10", user_data=0x0)
at mail-config-factory.c:50
#35 0x0164bf7d in factory (factory=0xa168c00, 
    component_id=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10", closure=0x0) at
mail-component-factory.c:74
#36 0x004d52ae in bonobo_marshal_OBJECT__STRING (closure=0xa15ade8, 
    return_value=0xbf8632b4, n_param_values=2, param_values=0xa3bab38, 
    invocation_hint=0x0, marshal_data=0x164bee0) at bonobo-marshal.c:203
#37 0x0093cd8b in IA__g_closure_invoke (closure=0xa15ade8, 
    return_value=0xbf8632b4, n_param_values=2, param_values=0xa3bab38, 
    invocation_hint=0x0) at gclosure.c:490
#38 0x004d3db4 in bonobo_closure_invoke_va_list (closure=0xa15ade8, 
    return_value=0xbf8632b4, var_args=0xbf8632ec "hR\223\t")
    at bonobo-types.c:404
#39 0x004d401c in bonobo_closure_invoke (closure=0xa15ade8, 
    return_type=160493576) at bonobo-types.c:467
---Type <return> to continue, or q <return> to quit---
#40 0x004bf598 in bonobo_generic_factory_new_generic (factory=0xa168c00, 
    act_iid=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10") at
bonobo-generic-factory.c:277
#41 0x004cd7e4 in bonobo_shlib_factory_new_generic (factory=0xa168c00, 
    act_iid=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10") at
bonobo-shlib-factory.c:155
#42 0x004bf869 in impl_Bonobo_ObjectFactory_createObject (servant=0xa168c14, 
    obj_act_iid=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10", ev=0xbf863684)
at bonobo-generic-factory.c:82
#43 0x00c841c1 in _ORBIT_skel_small_Bonobo_GenericFactory_createObject (
    _o_servant=0xa168c14, _o_retval=0xbf863410, _o_args=0xbf86340c, 
    _o_ctx=0x0, _o_ev=0xbf863684, 
    _impl_createObject=0x4bf7e0 <impl_Bonobo_ObjectFactory_createObject>)
    at Bonobo_GenericFactory-common.c:16
#44 0x006df7e0 in ORBit_c_stub_invoke (obj=0xa37cba8, methods=0xc92204, 
    method_index=0, ret=0xbf863410, args=0xbf86340c, ctx=0x0, ev=0xbf863684, 
    class_id=9, method_offset=4, 
    skel_impl=0xc841a0 <_ORBIT_skel_small_Bonobo_GenericFactory_createObject>)
    at poa.c:2630
#45 0x00c85d83 in Bonobo_GenericFactory_createObject (_obj=0xa37cba8, 
    iid=0xa147e39
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10", ev=0xbf863684)
at Bonobo_GenericFactory-stubs.c:13
#46 0x00c87e43 in bonobo_activation_activate_shlib_server (sh=0xa3bac4c, 
---Type <return> to continue, or q <return> to quit---
    ev=0xbf863684) at bonobo-activation-shlib.c:203
#47 0x00c887be in handle_activation_result (result=0xa3bac4c, ret_aid=0x0, 
    ev=0xbf8620c0) at bonobo-activation-activate.c:315
#48 0x00c88f1a in bonobo_activation_activate (
    requirements=0xbf863550 "iid ==
'OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10'",
selection_order=0x0, flags=0, ret_aid=0x0, 
    opt_ev=0xbf863684) at bonobo-activation-activate.c:395
#49 0x00c89150 in bonobo_activation_activate_from_id (
    aid=0xa1004d9
"OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.10", flags=0,
ret_aid=0x0, opt_ev=0xbf863684) at bonobo-activation-activate.c:437
#50 0x080577b6 in e_shell_settings_dialog_init (dialog=0x9c35420)
    at e-shell-settings-dialog.c:215
#51 0x0095c64a in IA__g_type_create_instance (type=168779816) at gtype.c:1567
#52 0x00943f32 in g_object_constructor (type=168779816, 
    n_construct_properties=2, construct_params=0x9f53098) at gobject.c:1041
#53 0x00941b8b in IA__g_object_newv (object_type=168779816, n_parameters=0, 
    parameters=0x0) at gobject.c:937
#54 0x009426ef in IA__g_object_new_valist (object_type=168779816, 
    first_property_name=0x0, var_args=0xbf863a08 "\020") at gobject.c:981
#55 0x009428a0 in IA__g_object_new (object_type=168779816, 
    first_property_name=0x0) at gobject.c:795
#56 0x0805732c in e_shell_settings_dialog_new ()
    at e-shell-settings-dialog.c:328
---Type <return> to continue, or q <return> to quit---
#57 0x08051f85 in e_shell_show_settings (shell=0x99c7290, 
    type=0x9a28c48 "mail", shell_window=0x99dd850) at e-shell.c:1245
#58 0x080596ed in e_shell_window_show_settings (window=0x99dd850)
    at e-shell-window.c:1232
#59 0x08057fed in command_settings (uih=0x9935b80, window=0x99dd850, 
    path=0xa0f5e78 "Settings") at e-shell-window-commands.c:706
#60 0x0046b7a3 in marshal_VOID__USER_DATA_STRING (closure=0x9a12288, 
    return_value=0xbf863c84, n_param_values=2, param_values=0xa0f4400, 
    invocation_hint=0x0, marshal_data=0x8057fd0) at bonobo-ui-component.c:221
#61 0x0093cd8b in IA__g_closure_invoke (closure=0x9a12288, 
    return_value=0xbf863c84, n_param_values=2, param_values=0xa0f4400, 
    invocation_hint=0x0) at gclosure.c:490
#62 0x004d3db4 in bonobo_closure_invoke_va_list (closure=0x9a12288, 
    return_value=0xbf863c84, var_args=0xbf863cb8 "P�\233\t\200[\223\t@")
    at bonobo-types.c:404
#63 0x004d3fce in bonobo_closure_invoke (closure=0x9a12288, return_type=4)
    at bonobo-types.c:467
#64 0x0046b98a in impl_Bonobo_UIComponent_execVerb (servant=0x9935b94, 
    cname=0xa0f6ce8 "Settings", ev=0xbf863dd8) at bonobo-ui-component.c:158
#65 0x004d61a1 in _ORBIT_skel_small_Bonobo_UIComponent_execVerb (
    _o_servant=0x9935b94, _o_retval=0x0, _o_args=0xbf863d90, _o_ctx=0x0, 
    _o_ev=0xbf863dd8, 
    _impl_execVerb=0x46b8f0 <impl_Bonobo_UIComponent_execVerb>)
---Type <return> to continue, or q <return> to quit---
    at Bonobo-common.c:332
#66 0x006df7e0 in ORBit_c_stub_invoke (obj=0x9955e90, methods=0x502104, 
    method_index=4, ret=0x0, args=0xbf863d90, ctx=0x0, ev=0xbf863dd8, 
    class_id=14, method_offset=20, 
    skel_impl=0x4d6180 <_ORBIT_skel_small_Bonobo_UIComponent_execVerb>)
    at poa.c:2630
#67 0x004dda84 in Bonobo_UIComponent_execVerb (_obj=0x9955e90, 
    cname=0xa0f6ce8 "Settings", ev=0xbf863dd8) at Bonobo-stubs.c:544
#68 0x004723ab in impl_emit_verb_on (engine=0x9958250, node=0x99ba5a8)
    at bonobo-ui-engine.c:1533
#69 0x00949699 in IA__g_cclosure_marshal_VOID__POINTER (closure=0x99a40d8, 
    return_value=0x0, n_param_values=2, param_values=0xbf86406c, 
    invocation_hint=0xbf863f7c, marshal_data=0x4721f0) at gmarshal.c:601
#70 0x0093b579 in g_type_class_meta_marshal (closure=0x99a40d8, 
    return_value=0x0, n_param_values=2, param_values=0xbf86406c, 
    invocation_hint=0xbf863f7c, marshal_data=0x4c) at gclosure.c:567
#71 0x0093cd8b in IA__g_closure_invoke (closure=0x99a40d8, return_value=0x0, 
    n_param_values=2, param_values=0xbf86406c, invocation_hint=0xbf863f7c)
    at gclosure.c:490
#72 0x0094e353 in signal_emit_unlocked_R (node=0x9959010, detail=0, 
    instance=0x9958250, emission_return=0x0, instance_and_params=0xbf86406c)
    at gsignal.c:2478
#73 0x0094f1ff in IA__g_signal_emit_valist (instance=0x9958250, signal_id=137, 
---Type <return> to continue, or q <return> to quit---
    detail=0, var_args=0xbf8642b0 "\034E\206������B\206\001L\nJ")
    at gsignal.c:2199
#74 0x0094f3b9 in IA__g_signal_emit (instance=0x9958250, signal_id=137, 
    detail=0) at gsignal.c:2243
#75 0x0046dee8 in bonobo_ui_engine_emit_verb_on_w (engine=0x9958250, 
    widget=0x99b2c28) at bonobo-ui-engine.c:3040
#76 0x00477595 in exec_verb_cb (item=0x99b2c28, engine=0x9958250)
    at bonobo-ui-sync-menu.c:472
#77 0x0094a0d9 in IA__g_cclosure_marshal_VOID__VOID (closure=0x99d2b08, 
    return_value=0x0, n_param_values=1, param_values=0xbf86451c, 
    invocation_hint=0xbf86442c, marshal_data=0x477560) at gmarshal.c:77
#78 0x0093cd8b in IA__g_closure_invoke (closure=0x99d2b08, return_value=0x0, 
    n_param_values=1, param_values=0xbf86451c, invocation_hint=0xbf86442c)
    at gclosure.c:490
#79 0x0094dd03 in signal_emit_unlocked_R (node=0x9955e00, detail=0, 
    instance=0x99b2c28, emission_return=0x0, instance_and_params=0xbf86451c)
    at gsignal.c:2440
#80 0x0094f1ff in IA__g_signal_emit_valist (instance=0x99b2c28, signal_id=165, 
    detail=0, var_args=0xbf86475c "\0327\025\001\224\v*\001") at gsignal.c:2199
#81 0x0094f3b9 in IA__g_signal_emit (instance=0x99b2c28, signal_id=165, 
    detail=0) at gsignal.c:2243
#82 0x011537a4 in IA__gtk_widget_activate (widget=0x99b2c28)
    at gtkwidget.c:3942
---Type <return> to continue, or q <return> to quit---
#83 0x01047e08 in IA__gtk_menu_shell_activate_item (menu_shell=0x99b6208, 
    menu_item=0x99b2c28, force_deactivate=1) at gtkmenushell.c:1024
#84 0x010493d2 in gtk_menu_shell_button_release (widget=0x99b6208, 
    event=0x9f4b858) at gtkmenushell.c:630
#85 0x01040fa5 in gtk_menu_button_release (widget=0x99b6208, event=0x9f4b858)
    at gtkmenu.c:2619
#86 0x0103b100 in _gtk_marshal_BOOLEAN__BOXED (closure=0x99c7418, 
    return_value=0xbf864950, n_param_values=2, param_values=0xbf864a2c, 
    invocation_hint=0xbf86493c, marshal_data=0x1040f00) at gtkmarshalers.c:84
#87 0x0093b579 in g_type_class_meta_marshal (closure=0x99c7418, 
    return_value=0xbf864950, n_param_values=2, param_values=0xbf864a2c, 
    invocation_hint=0xbf86493c, marshal_data=0xb4) at gclosure.c:567
#88 0x0093cd8b in IA__g_closure_invoke (closure=0x99c7418, 
    return_value=0xbf864950, n_param_values=2, param_values=0xbf864a2c, 
    invocation_hint=0xbf86493c) at gclosure.c:490
#89 0x0094e353 in signal_emit_unlocked_R (node=0x9943408, detail=0, 
    instance=0x99b6208, emission_return=0xbf864bec, 
    instance_and_params=0xbf864a2c) at gsignal.c:2478
#90 0x0094efc7 in IA__g_signal_emit_valist (instance=0x99b6208, signal_id=58, 
    detail=0, 
    var_args=0xbf864c70
"\210L\206�X��\t\bb\233\t\2378\025\001\bb\233\tHf\221\t") at gsignal.c:2209
#91 0x0094f3b9 in IA__g_signal_emit (instance=0x99b6208, signal_id=58, 
---Type <return> to continue, or q <return> to quit---
    detail=0) at gsignal.c:2243
#92 0x0114f3f8 in gtk_widget_event_internal (widget=0x99b6208, event=0x9f4b858)
    at gtkwidget.c:3911
#93 0x010345a3 in IA__gtk_propagate_event (widget=0x99b6208, event=0x9f4b858)
    at gtkmain.c:2188
#94 0x010357a7 in IA__gtk_main_do_event (event=0x9f4b858) at gtkmain.c:1422
#95 0x008b3ffa in gdk_event_dispatch (source=0x990cda0, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2320
#96 0x00cbe1f2 in IA__g_main_context_dispatch (context=0x990cde8)
    at gmain.c:2045
#97 0x00cc11cf in g_main_context_iterate (context=0x990cde8, block=1, 
    dispatch=1, self=0x98e6628) at gmain.c:2677
#98 0x00cc1579 in IA__g_main_loop_run (loop=0x995f480) at gmain.c:2881
#99 0x004c1a23 in bonobo_main () at bonobo-main.c:311
#100 0x0805da6e in main (argc=1, argv=0xbf865094) at main.c:615
#101 0x05496e5c in __libc_start_main (main=0x805d680 <main>, argc=1, 
    ubp_av=0xbf865094, init=0x805e670 <__libc_csu_init>, 
    fini=0x805e660 <__libc_csu_fini>, rtld_fini=0xa7c490 <_dl_fini>, 
    stack_end=0xbf86508c) at libc-start.c:222
#102 0x0804f3b1 in _start ()


Version-Release number of selected component (if applicable):
2.9.2-3.fc7

How reproducible:
always

Steps to Reproduce:
1. Click Edit menu
2. Click Preferences
3.
  
Actual results:


Expected results:


Additional info:

beagle-0.2.13-2.fc7
libbonoboui-2.16.0-1.fc6
evolution-data-server-1.9.3-1.fc7
gtk2-2.10.6-6.fc7
glib2-2.12.4-2.fc7
pango-1.15.0-1.fc7
Comment 1 sangu 2006-12-06 01:07:47 EST
When killing beagle daemon, peferences works well.

and While beagle daemon works, gthumb doesn't start.
Comment 2 sangu 2006-12-06 01:08:50 EST
beagle-0.2.13-2.fc7
mono-core-1.2.2-1.fc7
Comment 3 Alexander Larsson 2006-12-06 04:06:16 EST
Looks like beagle isn't responding to connects, maybe it hanged. Did you restart
beagle after installing beagle-0.2.13-2.fc7 (it has a hang fix).
Comment 4 sangu 2007-01-08 22:50:46 EST
Yes, you're right. but

* After restarting beagle, beagle works well .
* After several hours, beagle can't be connected, again.

So, after intalling Beagle 0.2.14,  this bug has never  happen for the past five
days.

--- beagle.spec 2007-01-09 12:45:19.000000000 +0900
+++ beagle.spec.new     2007-01-05 16:33:31.000000000 +0900
@@ -1,6 +1,6 @@
 Name:           beagle
-Version:        0.2.13
-Release: 3%{?dist}
+Version:        0.2.14
+Release: 1%{?dist}
 Summary:        The Beagle Search Infrastructure
 Group:          User Interface/Desktops
 License:        LGPL
@@ -39,8 +39,6 @@
 Patch3: beagle-0.2.1-spew.patch
 Patch4: beagle-0.2.7-beagle-index-username.patch
 Patch5: beagle-0.2.7-runuser.patch
-Patch6: beagle-0.2.8-libdir.patch
-Patch7: beagle-0.2.13-key.patch
 Patch8: beagle-0.2.10-xconnection-exit-2.patch
 
 # Mono only available on these:
@@ -104,8 +102,6 @@
 %patch3 -p1 -b .spew
 %patch4 -p1 -b .beagleidx
 %patch5 -p1 -b .runuser
-%patch6 -p1 -b .libdir
-%patch7 -p1 -b .key
 %patch8 -p1 -b .xconnection-exit
 
 %build
@@ -297,6 +293,8 @@
 %dir %attr(-,beaglidx,beaglidx) /var/cache/beagle
 %dir %attr(-,beaglidx,beaglidx) /var/cache/beagle/indexes
 %{_sysconfdir}/xdg/autostart/beagle.desktop
+%{_sysconfdir}/xdg/autostart/beagle-search-autostart.desktop
+%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop

Note You need to log in before you can comment on or make changes to this bug.